Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.streamlookup
Class StreamLookupData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.streamlookup.StreamLookupData

All Implemented Interfaces:
  StepDataInterface

    public class StreamLookupData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`Comparator<KeyValue>` | `comparator`
`boolean[]` | `convertKeysToNative` See if we need to convert the keys to a native data type
`org.pentaho.di.core.hash.ByteArrayHashIndex` | `hashIndex`
`boolean` | `hasLookupRows`
`org.pentaho.di.core.row.RowMetaInterface` | `infoMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `keyMeta`
`int[]` | `keynrs` nrs of keys-values in row.
`org.pentaho.di.core.row.RowMetaInterface` | `keyTypes` Stores the first row of the lookup-values to later determine if the types are the same as the input row lookup values.
`List<KeyValue>` | `list`
`org.pentaho.di.core.hash.LongHashIndex` | `longIndex`
`Map<org.pentaho.di.core.RowMetaAndData,Object[]>` | `look` used to store values in used to look up things
`int[]` | `lookupColumnIndex`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupMeta`
`boolean` | `metadataVerifiedIntegerPair`
`Object[]` | `nullIf` default string converted to values...
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta` The metadata we send out
`boolean` | `readLookupValues` Flag to indicate that we have to read lookup values from the info step
`org.pentaho.di.core.row.RowMetaInterface` | `valueMeta`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`StreamLookupData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### look

    public Map<org.pentaho.di.core.RowMetaAndData,Object[]> look

  used to store values in used to look up things

### list

    public List<KeyValue> list

### keynrs

    public int[] keynrs

  nrs of keys-values in row.

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

  The metadata we send out

### nullIf

    public Object[] nullIf

  default string converted to values...

### readLookupValues

    public boolean readLookupValues

  Flag to indicate that we have to read lookup values from the info step

### keyTypes

    public org.pentaho.di.core.row.RowMetaInterface keyTypes

  Stores the first row of the lookup-values to later determine if the types are the same as the input row lookup values.

### keyMeta

    public org.pentaho.di.core.row.RowMetaInterface keyMeta

### valueMeta

    public org.pentaho.di.core.row.RowMetaInterface valueMeta

### comparator

    public Comparator<KeyValue> comparator

### hashIndex

    public org.pentaho.di.core.hash.ByteArrayHashIndex hashIndex

### longIndex

    public org.pentaho.di.core.hash.LongHashIndex longIndex

### lookupMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupMeta

### infoMeta

    public org.pentaho.di.core.row.RowMetaInterface infoMeta

### lookupColumnIndex

    public int[] lookupColumnIndex

### metadataVerifiedIntegerPair

    public boolean metadataVerifiedIntegerPair

### convertKeysToNative

    public boolean[] convertKeysToNative

  See if we need to convert the keys to a native data type

### hasLookupRows

    public boolean hasLookupRows

Constructor Detail

### StreamLookupData

    public StreamLookupData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD